Appearance
POST
/global/user/users/{userId}/_remove-from-tenantRequired scope:
global:user:deleteRemoves a user from a tenant, in the same way as when the tenant removes one of its own users. The tenants connected to the given tenant share their users, so the user is removed from them as well. If this was the last tenant of the user, the user is removed completely. If the tenant is inactive, only the membership is deleted.
Parameters ​
Path parameters
userId string Format:
uuidThe identifier of the user to remove from the given tenant.
Request body ​
JSON
{
"tenantId": "8811e13d-8359-4a63-90c8-4c178b02e564"
}
Response ​
The user was successfully removed from the tenant.
| Error code | Description |
|---|---|
tenant-not-found | The given tenant was not found. |
user-not-found | No user with the given identifier was found. |
user-not-in-tenant | The given user is not a member of the given tenant. |